IdeaPlugin (Gradle API 4.7)
Date: 2018-04-18

org.gradle.plugins.ide.idea

## Class IdeaPlugin

- java.lang.Object
- - org.gradle.plugins.ide.internal.IdePlugin
  - - org.gradle.plugins.ide.idea.IdeaPlugin

- All Implemented Interfaces:
    Plugin<Project>

      public class IdeaPlugin
      extends org.gradle.plugins.ide.internal.IdePlugin

  Adds a GenerateIdeaModule task. When applied to a root project, also adds a GenerateIdeaProject task. For projects that have the Java plugin applied, the tasks receive additional Java-specific configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.common.base.Function<Project,JavaVersion>` | `SOURCE_COMPATIBILITY`
    `static com.google.common.base.Function<Project,JavaVersion>` | `TARGET_COMPATIBILITY`

    - ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdeaPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry, org.gradle.initialization.ProjectPathRegistry projectPathRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getLifecycleTaskName()`
    `IdeaModel` | `getModel()`
    `protected void` | `onApply(Project project)`
    `void` | `performPostEvaluationActions()` Deprecated.

    - ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `addWorker, addWorker, addWorkspace, apply, cleanName, getCleanTask, getLifecycleTask, isRoot, toGradleCommand`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOURCE_COMPATIBILITY

          public static final com.google.common.base.Function<Project,JavaVersion> SOURCE_COMPATIBILITY

    - #### TARGET_COMPATIBILITY

          public static final com.google.common.base.Function<Project,JavaVersion> TARGET_COMPATIBILITY

  - ### Constructor Detail

    - #### IdeaPlugin

          @Inject
          public IdeaPlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                    org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider,
                                    org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry,
                                    org.gradle.initialization.ProjectPathRegistry projectPathRegistry)

  - ### Method Detail

    - #### getModel

          public IdeaModel getModel()

    - #### getLifecycleTaskName

          protected String getLifecycleTaskName()

      Specified by:
        `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### onApply

          protected void onApply(Project project)

      Overrides:
        `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### performPostEvaluationActions

          @Deprecated
          public void performPostEvaluationActions()

      Deprecated.